Version 10.7 of postgres

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Version 10.7 of postgres

Shankar Bhaskaran
Hi ,

We are planning to use postgres 10.7 version as that is the latest version supported on Aurora DB. Since we have an on premise installation also , i was trying to download the same version of postgres for windows and linux. 
Unfortunately that version is not available in the download site as well as the ftp site .Is there any reason why an installer for 10.7 version in windows and linux is not added to archives?

Regards,
Shankar
Reply | Threaded
Open this post in threaded view
|

Re: Version 10.7 of postgres

Michael Paquier-2
On Thu, Oct 10, 2019 at 10:22:22AM +0530, Shankar Bhaskaran wrote:
> We are planning to use postgres 10.7 version as that is the latest
> version supported on Aurora DB. Since we have an on premise installation
> also , i was trying to download the same version of postgres for windows
> and linux.
> Unfortunately that version is not available in the download site as well as
> the ftp site .Is there any reason why an installer for 10.7 version in
> windows and linux is not added to archives?

I cannot speak about Aurora DB and its compatibility or
incompatibilities, but the latest minor version of 10 is 10.10, and a
lot of bugs have been fixed since 10.7, hence it is sort of logic in
my opinion to only have an installer for the latest version available,
and that eases a lot the maintenance as the Windows installer likely
needs to bundle OpenSSL and such dependencies.  I would recommend also
that you do not use a version which has known bugs.
--
Michael

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Version 10.7 of postgres

Magnus Hagander-2
In reply to this post by Shankar Bhaskaran
On Thu, Oct 10, 2019 at 6:52 AM Shankar Bhaskaran <[hidden email]> wrote:
Hi ,

We are planning to use postgres 10.7 version as that is the latest version supported on Aurora DB. Since we have an on premise installation also , i was trying to download the same version of postgres for windows and linux. 
Unfortunately that version is not available in the download site as well as the ftp site .Is there any reason why an installer for 10.7 version in windows and linux is not added to archives?


Note that Aurora is not PostgreSQL, so you cannot compare versions straight. If you want an on premise installation that's identical to the one in the cloud, you should use PostgreSQL on both sides.

You should be using 10.10, as it has important bug fixes including security fixes. Whether Aurora contains those fixes or not you need to check with the vendor, but if not you should be complaining to that vendor that they are missing important fixes, rather than try to install a version with known bugs and security issues.

--